Subject: Re: Resolving paths within symlinked dirs targets

From: Sergey Matveev <[email-masked]>
Date: Sun, 24 Apr 2022 21:34:40 +0300

*** Jan Niklas Böhm [2022-04-22 22:42]:
>The above example could be completely resolved by resolving both the pwd and
>the target (in this case the .do files) to their physical location.  That
>should turn your example into (assuming that pwd = /home/user/):

Currently I can not analyze that deeply, but probably that will work. I
tried to modify goredo locally and resolve physical paths to all
targets, but either I made a mistake somewhere (my implementation uses
filepath.EvalSymlinks) and various tests are failing, or there is some
issue with that idea. Currently just do not have enough time, but I hope
to give detailed answer (or release, if there are no issues) the next week.

-- 
Sergey Matveev (http://www.stargrave.org/)
OpenPGP: CF60 E89A 5923 1E76 E263  6422 AE1A 8109 E498 57EF